Bug 216845 - thousands of 'isochronous cycle too long' messages after resume
thousands of 'isochronous cycle too long' messages after resume
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-11-22 03:51 EST by Pekka Savola
Modified: 2008-01-21 02:05 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.23.8-63.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 02:05:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2006-11-22 03:51:24 EST
Description of problem:
After I resume from suspend on my FC6 laptop which I just updated from FC5
(latest kernel, 2.6.18-1.2239.fc5) to FC6 (latest kernel, 2.6.18-1.2849.fc6)
using yum, the syslog is filled with the following:

Nov 22 08:47:37 dhcp-142 kernel: ohci1394: fw-host0: isochronous cycle too long
Nov 22 08:47:42 dhcp-142 kernel: printk: 6642 messages suppressed.

However, the system appears to be working OK nonetheless.  I haven't tried using
USB yet, though.

Version-Release number of selected component (if applicable):
Linux dhcp-142.csc.fi 2.6.18-1.2849.fc6 #1 SMP Fri Nov 10 12:45:28 EST 2006 i686
i686 i386 GNU/Linux

Note that this system is single-processor Mobile P3/1200.

How reproducible:
Resume from suspend.

In /etc/acpi/actions/sleep.sh I have:

...
# remove USB 1.1 driver; assumes /etc/modules.conf has an alias for this
modprobe -r usb-controller

 ...
 and at the end:

# reload USB 1.1 driver
modprobe usb-controller

(This is based on instructions on how to get suspend working OK as FC doesn't
include default ACPI actions..)

Additional info:

...
Nov 22 08:47:29 dhcp-142 kernel: pnp: Device 00:0b activated.
Nov 22 08:47:29 dhcp-142 kernel: Restarting tasks... done
Nov 22 08:47:29 dhcp-142 kernel: Enabling non-boot CPUs ...
Nov 22 08:47:31 dhcp-142 kernel: USB Universal Host Controller Interface driver v3.0
Nov 22 08:47:31 dhcp-142 kernel: PCI: Enabling device 0000:00:1d.0 (0000 -> 0001)
Nov 22 08:47:31 dhcp-142 kernel: ACPI: PCI Interrupt 0000:00:1d.0[A] -> Link
[LNKA] -> GSI 11 (level, low) -> IRQ 
11
Nov 22 08:47:31 dhcp-142 kernel: uhci_hcd 0000:00:1d.0: UHCI Host Controller
Nov 22 08:47:31 dhcp-142 kernel: uhci_hcd 0000:00:1d.0: new USB bus registered,
assigned bus number 1
Nov 22 08:47:31 dhcp-142 kernel: uhci_hcd 0000:00:1d.0: irq 11, io base 0x00001800
Nov 22 08:47:31 dhcp-142 kernel: usb usb1: configuration #1 chosen from 1 choice
Nov 22 08:47:31 dhcp-142 kernel: hub 1-0:1.0: USB hub found
Nov 22 08:47:31 dhcp-142 kernel: hub 1-0:1.0: 2 ports detected
Nov 22 08:47:31 dhcp-142 kernel: PCI: Enabling device 0000:00:1d.1 (0000 -> 0001)
Nov 22 08:47:31 dhcp-142 kernel: ACPI: PCI Interrupt 0000:00:1d.1[B] -> Link
[LNKD] -> GSI 11 (level, low) -> IRQ 
11
Nov 22 08:47:31 dhcp-142 kernel: uhci_hcd 0000:00:1d.1: UHCI Host Controller
Nov 22 08:47:31 dhcp-142 kernel: uhci_hcd 0000:00:1d.1: new USB bus registered,
assigned bus number 2
Nov 22 08:47:31 dhcp-142 kernel: uhci_hcd 0000:00:1d.1: irq 11, io base 0x00001820
Nov 22 08:47:31 dhcp-142 kernel: usb usb2: configuration #1 chosen from 1 choice
Nov 22 08:47:31 dhcp-142 kernel: hub 2-0:1.0: USB hub found
Nov 22 08:47:31 dhcp-142 kernel: hub 2-0:1.0: 2 ports detected
Nov 22 08:47:31 dhcp-142 kernel: PCI: Enabling device 0000:00:1d.2 (0000 -> 0001)
Nov 22 08:47:31 dhcp-142 kernel: ACPI: PCI Interrupt 0000:00:1d.2[C] -> Link
[LNKC] -> GSI 11 (level, low) -> IRQ 
11
Nov 22 08:47:31 dhcp-142 kernel: uhci_hcd 0000:00:1d.2: UHCI Host Controller
Nov 22 08:47:31 dhcp-142 kernel: uhci_hcd 0000:00:1d.2: new USB bus registered,
assigned bus number 3
Nov 22 08:47:31 dhcp-142 kernel: uhci_hcd 0000:00:1d.2: irq 11, io base 0x00001840
Nov 22 08:47:31 dhcp-142 kernel: usb usb3: configuration #1 chosen from 1 choice
Nov 22 08:47:31 dhcp-142 kernel: hub 3-0:1.0: USB hub found
Nov 22 08:47:31 dhcp-142 kernel: hub 3-0:1.0: 2 ports detected
Nov 22 08:47:32 dhcp-142 kernel: printk: 7064 messages suppressed.
Nov 22 08:47:32 dhcp-142 kernel: ohci1394: fw-host0: isochronous cycle too long
Nov 22 08:47:33 dhcp-142 ntpd[1873]: sendto(193.166.5.177) (fd=16): Network is
unreachable
Nov 22 08:47:37 dhcp-142 kernel: printk: 5928 messages suppressed.
Nov 22 08:47:37 dhcp-142 kernel: ohci1394: fw-host0: isochronous cycle too long
Nov 22 08:47:42 dhcp-142 kernel: printk: 6642 messages suppressed.
Nov 22 08:47:42 dhcp-142 kernel: ohci1394: fw-host0: isochronous cycle too long
Nov 22 08:47:47 dhcp-142 kernel: printk: 6267 messages suppressed.
Nov 22 08:47:47 dhcp-142 kernel: ohci1394: fw-host0: isochronous cycle too long
Nov 22 08:47:52 dhcp-142 kernel: printk: 6107 messages suppressed.
Nov 22 08:47:52 dhcp-142 kernel: ohci1394: fw-host0: isochronous cycle too long
Nov 22 08:47:57 dhcp-142 kernel: printk: 6588 messages suppressed.
.....
Comment 1 Jon Stanley 2008-01-07 20:48:46 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Pekka Savola 2008-01-21 02:05:14 EST
This no longer happens on FC8 kernels, so I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.